import * as i0 from "@angular/core";
export declare class SwimlaneManagementService {
    private workflowState;
    private canvasState;
    private readonly DEFAULT_SWIMLANE_HEIGHT;
    createSwimlane(clickPosition: number): void;
    getVerticalCenterForSwimlane(swimlaneY: number): number;
    getSwimlaneHeight(): number;
    private calculateNewSwimlanePosition;
    reorderSwimlanes(): void;
    private adjustNodesInSwimlane;
    private isNodeInSwimlane;
    resizeSwimlanesForCanvas(canvasWidth: number): void;
    getTotalHeight(): number;
    swapSwimlanes(swimlane1Id: string, swimlane2Id: string): void;
    findNearestSwimlanePosition(yPosition: number): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<SwimlaneManagementService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SwimlaneManagementService>;
}
